Skip to main content
Members

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Path Parameters

id
integer<int32>
required

The entity id

Query Parameters

$select
string

Comma separated list of column names to return. "nameDepartment,fullname,category". Can also use aggregation functions and modifiers: "Count(category):Footer"

$filter
string

Expression to restrict the results. e.g.: "name begins 'foo' and category gt 1"

$orderBy
string

Comma separated list of column names to sort by, with optional direction. "name asc,fullname,category desc"

$entities
string

Comma separated list of entity names to use. e.g: "contact, person"

$top
integer<int32>

Number of rows to return in results

$skip
integer<int32>

Number of rows from database to skip before returning results

$mode
enum<string>

FULL (with raw values and hints for each value) or SLIM (just the display values)

Available options:
Slim,
Wide,
Full
$options
string

Provider specific options. e.g: "GrandTotal=true"

$context
string

Provider specific context parameter.

$format
string

Set XML or JSON output format; override the format determined from Accept header.

$jsonSafe
boolean

Make output names into JSON safe property names. Replace all unsafe characters with _ underscore.

$output
enum<string>

Return Logical or Display values in SLIM mode. Logical returns true/false for booleans, Display returns icon hints. Dates are always returned as ISO strings.

Available options:
Logical,
Display

Response

OK

Easy to use archive results - just a flat list of values.

odata.metadata
string
value
object[]